Skip to content
Start here

Get an AI Gateway Dynamic Route.

client.AIGateway.DynamicRouting.Get(ctx, gatewayID, id, query) (*DynamicRoutingGetResponse, error)
GET/accounts/{account_id}/ai-gateway/gateways/{gateway_id}/routes/{id}

Get an AI Gateway Dynamic Route.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
AI Gateway WriteAI Gateway Read
ParametersExpand Collapse
gatewayID string
id string
query DynamicRoutingGetParams
AccountID param.Field[string]
ReturnsExpand Collapse
type DynamicRoutingGetResponse struct{…}
ID string
CreatedAt Time
formatdate-time
Deployment DynamicRoutingGetResponseDeployment
CreatedAt string
DeploymentID string
VersionID string
Elements []DynamicRoutingGetResponseElement
One of the following:
type DynamicRoutingGetResponseElementsObject struct{…}
ID string
Outputs DynamicRoutingGetResponseElementsObjectOutputs
Type DynamicRoutingGetResponseElementsObjectType
type DynamicRoutingGetResponseElementsObject struct{…}
ID string
Outputs DynamicRoutingGetResponseElementsObjectOutputs
False DynamicRoutingGetResponseElementsObjectOutputsFalse
ElementID string
True DynamicRoutingGetResponseElementsObjectOutputsTrue
ElementID string
Properties DynamicRoutingGetResponseElementsObjectProperties
Conditions unknownoptional
Type DynamicRoutingGetResponseElementsObjectType
type DynamicRoutingGetResponseElementsObject struct{…}
ID string
Outputs map[string, DynamicRoutingGetResponseElementsObjectOutput]
ElementID string
Type DynamicRoutingGetResponseElementsObjectType
type DynamicRoutingGetResponseElementsObject struct{…}
ID string
Outputs DynamicRoutingGetResponseElementsObjectOutputs
Fallback DynamicRoutingGetResponseElementsObjectOutputsFallback
ElementID string
Success DynamicRoutingGetResponseElementsObjectOutputsSuccess
ElementID string
Properties DynamicRoutingGetResponseElementsObjectProperties
Key string
Limit float64
LimitType DynamicRoutingGetResponseElementsObjectPropertiesLimitType
One of the following:
const DynamicRoutingGetResponseElementsObjectPropertiesLimitTypeCount DynamicRoutingGetResponseElementsObjectPropertiesLimitType = "count"
const DynamicRoutingGetResponseElementsObjectPropertiesLimitTypeCost DynamicRoutingGetResponseElementsObjectPropertiesLimitType = "cost"
Window float64
Type DynamicRoutingGetResponseElementsObjectType
type DynamicRoutingGetResponseElementsObject struct{…}
ID string
Outputs DynamicRoutingGetResponseElementsObjectOutputs
Fallback DynamicRoutingGetResponseElementsObjectOutputsFallback
ElementID string
Success DynamicRoutingGetResponseElementsObjectOutputsSuccess
ElementID string
Properties DynamicRoutingGetResponseElementsObjectProperties
Model string
Provider string
Retries float64
Timeout float64
Type DynamicRoutingGetResponseElementsObjectType
type DynamicRoutingGetResponseElementsObject struct{…}
ID string
Outputs map[string, DynamicRoutingGetResponseElementsObjectOutput]
ElementID string
Type DynamicRoutingGetResponseElementsObjectType
GatewayID string
ModifiedAt Time
formatdate-time
Name string
Version DynamicRoutingGetResponseVersion
Active DynamicRoutingGetResponseVersionActive
One of the following:
const DynamicRoutingGetResponseVersionActiveTrue DynamicRoutingGetResponseVersionActive = "true"
const DynamicRoutingGetResponseVersionActiveFalse DynamicRoutingGetResponseVersionActive = "false"
CreatedAt string
Data string
VersionID string

Get an AI Gateway Dynamic Route.

package main

import (
  "context"
  "fmt"

  "github.com/cloudflare/cloudflare-go"
  "github.com/cloudflare/cloudflare-go/ai_gateway"
  "github.com/cloudflare/cloudflare-go/option"
)

func main() {
  client := cloudflare.NewClient(
    option.WithAPIToken("Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY"),
  )
  dynamicRouting, err := client.AIGateway.DynamicRouting.Get(
    context.TODO(),
    "54442216",
    "54442216",
    ai_gateway.DynamicRoutingGetParams{
      AccountID: cloudflare.F("0d37909e38d3e99c29fa2cd343ac421a"),
    },
  )
  if err != nil {
    panic(err.Error())
  }
  fmt.Printf("%+v\n", dynamicRouting.ID)
}
{
  "result": {
    "id": "id",
    "created_at": "2019-12-27T18:11:19.117Z",
    "deployment": {
      "created_at": "created_at",
      "deployment_id": "deployment_id",
      "version_id": "version_id"
    },
    "elements": [
      {
        "id": "id",
        "outputs": {
          "next": {
            "elementId": "elementId"
          }
        },
        "type": "start"
      }
    ],
    "gateway_id": "gateway_id",
    "modified_at": "2019-12-27T18:11:19.117Z",
    "name": "name",
    "version": {
      "active": "true",
      "created_at": "created_at",
      "data": "data",
      "version_id": "version_id"
    }
  },
  "success": true
}
Returns Examples
{
  "result": {
    "id": "id",
    "created_at": "2019-12-27T18:11:19.117Z",
    "deployment": {
      "created_at": "created_at",
      "deployment_id": "deployment_id",
      "version_id": "version_id"
    },
    "elements": [
      {
        "id": "id",
        "outputs": {
          "next": {
            "elementId": "elementId"
          }
        },
        "type": "start"
      }
    ],
    "gateway_id": "gateway_id",
    "modified_at": "2019-12-27T18:11:19.117Z",
    "name": "name",
    "version": {
      "active": "true",
      "created_at": "created_at",
      "data": "data",
      "version_id": "version_id"
    }
  },
  "success": true
}